Loading...
Searching...
No Matches
Subject Public Key Info table

## Data Structures

struct | spki_record

## Macros

#define | SKI_SIZE 20
#define | SPKI_SIZE 91

## Typedefs

typedef void(* | spki_update_fp) (struct spki_table *spki_table, const struct spki_record record, const bool added)

## Detailed Description

## Typedef Documentation

## spki_update_fp

typedef void(* spki_update_fp) (struct spki_table *spki_table, const struct spki_record record, const bool added)

A function pointer that is called if an record was added to the spki_table or was removed from the spki_table.

Parameters

  spki_table | which was updated.
  record | spki_record that was modified.
  added | True if the record was added, false if the record was removed.